# Class VariableMovePowerAbAttr

#### Hierarchy (view full)

- PreAttackAbAttr
  - VariableMovePowerAbAttr
    - MovePowerBoostAbAttr
    - VariableMovePowerBoostAbAttr

- Defined in src/data/ability.ts:1021

#####
Index

### Constructors

constructor

### Properties

showAbility

### Methods

addCondition
apply
applyPreAttack
getCondition
getTriggerMessage

## Constructors

### constructor

- new VariableMovePowerAbAttr(showAbility?): VariableMovePowerAbAttr

- #### Parameters

  - showAbility: boolean = true

  #### Returns VariableMovePowerAbAttr

  Inherited from PreAttackAbAttr.constructor

  - Defined in src/data/ability.ts:129

## Properties

### showAbility

showAbility: boolean

Inherited from PreAttackAbAttr.showAbility

- Defined in src/data/ability.ts:126

## Methods

### addCondition

- addCondition(condition): AbAttr

- #### Parameters

  - condition: AbAttrCondition

  #### Returns AbAttr

  Inherited from PreAttackAbAttr.addCondition

  - Defined in src/data/ability.ts:145

### apply

- apply(pokemon, passive, cancelled, args): boolean | Promise<boolean>

- #### Parameters

  - pokemon: default
  - passive: boolean
  - cancelled: BooleanHolder
  - args: any[]

  #### Returns boolean | Promise<boolean>

  Inherited from PreAttackAbAttr.apply

  - Defined in src/data/ability.ts:133

### applyPreAttack

- applyPreAttack(pokemon, passive, defender, move, args): boolean

- #### Parameters

  - pokemon: default
  - passive: boolean
  - defender: default
  - move: default
  - args: any[]

  #### Returns boolean

  Overrides PreAttackAbAttr.applyPreAttack

  - Defined in src/data/ability.ts:1022

### getCondition

- getCondition(): AbAttrCondition

- #### Returns AbAttrCondition

  Inherited from PreAttackAbAttr.getCondition

  - Defined in src/data/ability.ts:141

### getTriggerMessage

- getTriggerMessage(pokemon, abilityName, ...args): string

- #### Parameters

  - pokemon: default
  - abilityName: string
  - `Rest` ...args: any[]

  #### Returns string

  Inherited from PreAttackAbAttr.getTriggerMessage

  - Defined in src/data/ability.ts:137